%global commit 85794e4b4f2294a1b445a4d928866bedd5cc64ec
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshot 20140307git%{shortcommit}
Name:           openscad-MCAD
Version:        0.0
Release:        7.%{snapshot}%{?dist}
Summary:        OpenSCAD Parametric CAD Library
License:        LGPLv2+ and LGPLv2 and LGPLv3+ and (GPLv3 or LGPLv2) and (GPLv3+ or LGPLv2) and (CC-BY-SA or LGPLv2+) and (CC-BY-SA or LGPLv2) and CC-BY and BSD and MIT and Public Domain
Group:          Applications/Engineering
URL:            https://www.github.com/openscad/MCAD
Source0:        %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Requires:       openscad
BuildArch:      noarch

%description
This library contains components commonly used in designing and moching up
mechanical designs. It is currently unfinished and you can expect some API
changes, however many things are already working.

### LICENSES:

##  LGPLv2+:
#   2Dshapes.scad
#   3d_triangle.scad
#   fonts.scad
#   gridbeam.scad
#   hardware.scad
#   libtriangles.scad
#   multiply.scad
#   shapes.scad
#   screw.scad

##  LGPLv2:
#   gears.scad
#   involute_gears.scad
#   servos.scad
#   transformations.scad
#   triangles.scad
#   unregular_shapes.scad
#   bitmap/letter_necklace.scad

##  LGPLv3+:
#   teardrop.scad

##  GPLv3 or LGPLv2:
#   motors.scad
#   nuts_and_bolts.scad


##  GPLv3+ or LGPLv2:
#   metric_fastners.scad
#   regular_shapes.scad

##  CC-BY-SA or LGPLv2+:
#   bearing.scad
#   materials.scad
#   stepper.scad
#   utilities.scad

##  CC-BY-SA or LGPLv2:
#   units.scad

##  CC-BY:
#   polyholes.scad
#   bitmap/alphabet_block.scad
#   bitmap/bitmap.scad
#   bitmap/height_map.scad
#   bitmap/name_tag.scad

## BSD
#   boxes.scad

## MIT
#   constants.scad
#   curves.scad
#   math.scad

## Public Domain
#   lego_compatibility.scad
#   trochoids.scad

###############################################

%prep
%setup -qn MCAD-%{commit}
rm -rf *.py SolidPython ThingDoc # we don't need them

# New FSF Address
sed -i s/"59 Temple Place, Suite 330, Boston, MA 02111-1307 USA"/"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA"/ regular_shapes.scad metric_fastners.scad

%build
# do nothing

%install
mkdir -p %{buildroot}%{_datadir}/openscad/libraries/MCAD
cp -R * %{buildroot}%{_datadir}/openscad/libraries/MCAD

%files
%doc lgpl-2.1.txt README.markdown
%{_datadir}/openscad/libraries/MCAD

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-7.20140307git85794e4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 09 2014 Miro Hrončok <mhroncok@redhat.com> - 0.0-6.20140307git85794e4
- Commit used in OpenSCAD 2014.03

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-5.20130531git9a958fd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Miro Hrončok <mhroncok@redhat.com> - 0.0-4.20130531git9a958fd
- Upstream update
- License information updated

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-3.20121031git9af89906fa
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 09 2012 Miro Hrončok <miro@hroncok.cz> - 0.0-2.20121031git9af89906fa
- Added empty %%build section

* Thu Dec 06 2012 Miro Hrončok <miro@hroncok.cz> - 0.0-1.20121031git9af89906fa
- Separated MCAD from openscad source package
